#
# spec file for package xsetroot
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xsetroot
Version:        1.1.3
Release:        1.3
Summary:        Utility to set X root window parameter
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xbitmaps)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
The xsetroot program allows you to tailor the appearance of the
background ("root") window on a workstation display running X.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xsetroot
%{_mandir}/man1/xsetroot.1%{?ext_man}

%changelog
* Sat Oct 29 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.3
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * Variable scope reductions as recommended by cppcheck
  * Handle -Wsign-compare warnings
  * gitlab CI: stop requiring Signed-off-by in commits
* Sat May  1 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Thu Apr  5 2018 sndirsch@suse.com
- Update to version 1.1.2
  * autogen.sh changes
  * configure: Drop AM_MAINTAINER_MODE
  * Print which option was in error along with usage message
  * Only use results from GetWindowProperty if it returned success
  * Improve manpage and -help option.
* Sun Feb 10 2013 zaitor@opensuse.org
- Update to version 1.1.1:
  + Add -version option.
  + Combine usage message strings.
  + Config:
  - Add missing AC_CONFIG_SRCDIR.
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  + man:
  - Replace hard coded man page section with substitution strings
  - Remove trailing spaces and tabs.
- Add pkgconfig(xproto) BuildRequires, new dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xsetroot from xorg-x11. Initial version: 1.1.0.
